﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;

namespace Diagram_MVVMConnectors.GraphSource
{
	public class Node : NodeViewModelBase
	{
		private ObservableCollection<ConnectorProxy> myConnectors = new ObservableCollection<ConnectorProxy>();

		public Node()
		{
			//Add connectors.
			this.MyConnectors.Add(new ConnectorProxy() { Name = "FirstConnector", Position = new Point(0, 0.3) });
			this.MyConnectors.Add(new ConnectorProxy() { Name = "SecondConnector", Position = new Point(1, 0.3) });
			this.MyConnectors.Add(new ConnectorProxy() { Name = "ThirdConnector", Position = new Point(0.5, 0.8) });
		}

		public ObservableCollection<ConnectorProxy> MyConnectors
		{
			get
			{
				return this.myConnectors;
			}
		}
	}
}
