﻿using Diagram_MVVMConnectors.GraphSource;
using Diagram_MVVMConnectors.ViewModels;
using System;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Diagrams.Extensions;

namespace Diagram_MVVMConnectors
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			this.DataContext = new MainViewModel();

			var q = new RadDiagramConnection();
			
		}
		int counter = 0;
		private void diagram_Loaded(object sender, RoutedEventArgs e)
		{
			foreach (var item in diagram.Items)
			{
				var container = diagram.ContainerGenerator.ContainerFromItem(item);
				var connection = container as RadDiagramConnection;
				if (connection != null)
				{
					var dataContext = connection.DataContext as Link;
					if (!(connection.Target is RadDiagramContainerShape) && dataContext.SourceConnectorPosition != null)
					{
						connection.TargetConnectorPosition = dataContext.SourceConnectorPosition;
					}
					if (!(connection.Source is RadDiagramContainerShape) && dataContext.TargetConnectorPosition != null)
					{
						connection.SourceConnectorPosition = dataContext.TargetConnectorPosition;
					}
				}
			}
		}


	}
}
